## kwave 25.08.3+p24.04+vstable+git20251204.0848

=== debian/changelog ===
kwave (25.08.3+p24.04+vstable+git20251204.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 08:49:08 +0000

kwave (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:14 +1000
