## kwave 25.08.3+p24.04+vunstable+git20251202.1050

=== debian/changelog ===
kwave (25.08.3+p24.04+vunstable+git20251202.1050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:50:36 +0000
