## kwave 25.08.3+p24.04+vunstable+git20251204.0558

=== debian/changelog ===
kwave (25.08.3+p24.04+vunstable+git20251204.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:58:45 +0000
