## kwave 25.12.1+p24.04+vstable+git20260129.0101

=== debian/changelog ===
kwave (25.12.1+p24.04+vstable+git20260129.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:01:49 +0000
