## kwave 25.12.1+p24.04+vstable+git20260131.0333

=== debian/changelog ===
kwave (25.12.1+p24.04+vstable+git20260131.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:33:21 +0000
